﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_AR_44
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        
            var clubs = Club.GetClubs().AsEnumerable();

            IQueryable<ClubViewModel> clubViewModels = clubs
                    .OrderBy(c => c.Name)
                    .Select(c => new ClubViewModel() { CityClub = c, Name = c.Name + "ViewModel" }).AsQueryable<ClubViewModel>();


            var source = new VirtualQueryableCollectionView(clubViewModels) { LoadSize = 50 };

            this.clubsGrid.ItemsSource = source;
        }
    }
}
